Contract registration
curl --request POST \
--globoff \
--url 'https://{{baseUrl}}/amlyze-ws-rest/contract' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"communicationNumber": "COM216a",
"requester": "financial_institution",
"contractType": "CREDIT_CARD",
"businessUnit": "sandbox",
"extId": "any_contract_1232",
"contractCode": "REG74121101",
"customerExtId": "ORG20231117550"
}
'import requests
url = "https://{{baseUrl}}/amlyze-ws-rest/contract"
payload = {
"communicationNumber": "COM216a",
"requester": "financial_institution",
"contractType": "CREDIT_CARD",
"businessUnit": "sandbox",
"extId": "any_contract_1232",
"contractCode": "REG74121101",
"customerExtId": "ORG20231117550"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
communicationNumber: 'COM216a',
requester: 'financial_institution',
contractType: 'CREDIT_CARD',
businessUnit: 'sandbox',
extId: 'any_contract_1232',
contractCode: 'REG74121101',
customerExtId: 'ORG20231117550'
})
};
fetch('https://{{baseUrl}}/amlyze-ws-rest/contract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errorCode": "<string>",
"errorDescription": "<string>",
"resultType": "REQUEST_ACCEPTED"
}{
"resultType": "REQUEST_REJECTED",
"errorCode": "O001",
"errorDescription": "extId is mandatory"
}{
"timestamp": "2024-05-26T16:49:50.237+00:00",
"status": 404,
"error": "Not Found",
"path": "/amlyze-ws-rest/contract"
}{
"resultType": "REQUEST_REJECTED",
"status": 500,
"error": "Internal Server Error"
}Contract
Contract registration
This section provides detailed information on the endpoints that can be used to create and manage contracts. Contracts can be any type of documents with custom set of fields/elements.
POST
/
amlyze-ws-rest
/
contract
Contract registration
curl --request POST \
--globoff \
--url 'https://{{baseUrl}}/amlyze-ws-rest/contract' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"communicationNumber": "COM216a",
"requester": "financial_institution",
"contractType": "CREDIT_CARD",
"businessUnit": "sandbox",
"extId": "any_contract_1232",
"contractCode": "REG74121101",
"customerExtId": "ORG20231117550"
}
'import requests
url = "https://{{baseUrl}}/amlyze-ws-rest/contract"
payload = {
"communicationNumber": "COM216a",
"requester": "financial_institution",
"contractType": "CREDIT_CARD",
"businessUnit": "sandbox",
"extId": "any_contract_1232",
"contractCode": "REG74121101",
"customerExtId": "ORG20231117550"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
communicationNumber: 'COM216a',
requester: 'financial_institution',
contractType: 'CREDIT_CARD',
businessUnit: 'sandbox',
extId: 'any_contract_1232',
contractCode: 'REG74121101',
customerExtId: 'ORG20231117550'
})
};
fetch('https://{{baseUrl}}/amlyze-ws-rest/contract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errorCode": "<string>",
"errorDescription": "<string>",
"resultType": "REQUEST_ACCEPTED"
}{
"resultType": "REQUEST_REJECTED",
"errorCode": "O001",
"errorDescription": "extId is mandatory"
}{
"timestamp": "2024-05-26T16:49:50.237+00:00",
"status": 404,
"error": "Not Found",
"path": "/amlyze-ws-rest/contract"
}{
"resultType": "REQUEST_REJECTED",
"status": 500,
"error": "Internal Server Error"
}Authorizations
Body
application/json
Contract to create